function feature_img = gabor_feature_image(magnitude, matice_indexu, u1, u2)
% ziska mapu Gaborovych priznaku zjednotlivyh obrazu filtrovanych
% Gaborovymi filtry v promenne magnitude. Smery priznakove mapy jsou
% vybrany podle vektoru u1 (smery k zesileni) a u2 (smery k potlaceni)

obr_velikost = size(magnitude{1,1});

% Uložení všech filt. obrazů do řádkového vektoru
magnitude_vektor = reshape(magnitude', [1, numel(magnitude)]);
% Vytvoření dvou řádkových vektorů pozic (provedení samotné sumace)
u1_vektor = reshape(matice_indexu(:, u1)', 1, []);
u2_vektor = reshape(matice_indexu(:, u2)', 1, []);
% Vytvoření dvou sumovaných obrazů podle vektorů 
u1_obraz = reshape(cell2mat(magnitude_vektor(u1_vektor(:))), [obr_velikost(1), obr_velikost(2), length(u1_vektor)]);
u2_obraz = reshape(cell2mat(magnitude_vektor(u2_vektor(:))), [obr_velikost(1), obr_velikost(2), length(u2_vektor)]);
% vytvoření vyfiltrovaného obrazu
feature_img = mean(u1_obraz, 3) - mean(u2_obraz, 3);
feature_img(feature_img<0) = 0;

end

